diff --git a/conf/explorer/lsb_codename b/conf/explorer/lsb_codename
new file mode 100755
index 00000000..eec12710
--- /dev/null
+++ b/conf/explorer/lsb_codename
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+
+lsb_release=$(which lsb_release)
+[ -x $lsb_release ] && $lsb_release --short --codename \
+|| echo lsb not supported
diff --git a/conf/explorer/lsb_description b/conf/explorer/lsb_description
new file mode 100755
index 00000000..7349ddeb
--- /dev/null
+++ b/conf/explorer/lsb_description
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+
+lsb_release=$(which lsb_release)
+[ -x $lsb_release ] && $lsb_release --short --description \
+|| echo lsb not supported
diff --git a/conf/explorer/lsb_id b/conf/explorer/lsb_id
new file mode 100755
index 00000000..eac173cd
--- /dev/null
+++ b/conf/explorer/lsb_id
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+
+lsb_release=$(which lsb_release)
+[ -x $lsb_release ] && $lsb_release --short --id \
+|| echo lsb not supported
diff --git a/conf/explorer/lsb_release b/conf/explorer/lsb_release
new file mode 100755
index 00000000..b3ac4093
--- /dev/null
+++ b/conf/explorer/lsb_release
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+
+lsb_release=$(which lsb_release)
+[ -x $lsb_release ] && $lsb_release --short --release \
+|| echo lsb not supported